#
# spec file for package perl-Sub-Exporter
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Exporter
Version:        0.987
Release:        6.1
%define cpan_name Sub-Exporter
Summary:        a sophisticated exporter for custom-built routines
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Exporter/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::OptList) >= 0.100
BuildRequires:  perl(Params::Util) >= 0.14
BuildRequires:  perl(Sub::Install) >= 0.92
BuildRequires:  perl(Test::More) >= 0.96

Requires:       perl(Data::OptList) >= 0.100
Requires:       perl(Params::Util) >= 0.14
Requires:       perl(Sub::Install) >= 0.92
%{perl_requires}

%description
*ACHTUNG!* If you're not familiar with Exporter or exporting, read the
Sub::Exporter::Tutorial manpage first!

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Wed Dec 18 2013 coolo@suse.com
- updated to 0.987
  update bugtracker metadata
* Wed Aug 14 2013 lars@linux-schulserver.de
- update to 0.986:
  +  typo fixes in docs (thanks, David Steinbrunner!)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.985
    documentation fixes
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr 11 2010 chris@computersalat.de
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o fix HEADER
  o update License, Url
  o fix perl-macros deps
  o update description
  o macro usage
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- initial package 0.982
